{
  "format_version": "1.19.0",
  "animation_controllers": {
    "controller.animation.tsu_morph.bat.move": {
      "initial_state": "init",
      "states": {
        "init": {
          "animations": [
            "flying"
          ],
          "transitions": [
            {
              "resting": "q.vertical_speed == 0 && !q.is_on_ground && !q.is_moving"
            }
          ],
          "blend_transition": 0.0
        },
        "resting": {
          "animations": [
            "resting"
          ],
          "transitions": [
            {
              "init": "!(q.vertical_speed == 0 && !q.is_on_ground && !q.is_moving)"
            }
          ],
          "blend_transition": 0.0
        }
      }
    }
  }
}